## ws-sensors 1.0.2

=== debian/changelog ===
ws-sensors (1.0.2) stable; urgency=medium

  * Build arch

 -- Ed Baker <ed@ebaker.me.uk>  Mon, 05 Jan 2026 09:33:56 +0000

ws-sensors (1.0.1) STABLE; urgency=medium

  * Version bump 

 -- Ed Baker <ed@ebaker.me.uk>  Sun, 04 Jan 2026 20:55:31 +0000

ws-sensors (1.0.0) STABLE; urgency=medium

  * Initial release

 -- Ed Baker <ed@ebaker.me.uk>  Sun, 04 Jan 2026 16:30:00 +0000
 

## ws-sensors 1.0.3

=== Makefile ===
CC = gcc
CFLAGS = -Wall -Wextra -pedantic
LDFLAGS = -lncurses
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin

TARGET = ws-sensors
SOURCES = main.c graph.c
OBJECTS = $(SOURCES:.c=.o)

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJECTS) $(LDFLAGS)

main.o: main.c graph.h
	$(CC) $(CFLAGS) -c main.c

graph.o: graph.c graph.h
	$(CC) $(CFLAGS) -c graph.c

install: $(TARGET)
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $(TARGET) $(DESTDIR)$(BINDIR)/

clean:
	rm -f $(TARGET) $(OBJECTS)

.PHONY: all install clean

=== debian/changelog ===
ws-sensors (1.0.3) stable; urgency=medium

  * JSON formatting
  * Larger max graph x value

 -- Edward Baker <edwab@unp-pi-12.nhm.ac.uk>  Mon, 05 Jan 2026 10:04:27 +0000

=== debian/control ===
Source: ws-sensors
Section: utils
Priority: optional
Maintainer: Ed Baker <ed@ebaker.me.uk>
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.6.0
Homepage: https://github.com/yourusername/ws-sensors
Vcs-Git: https://github.com/yourusername/ws-sensors.git
Vcs-Browser: https://github.com/yourusername/ws-sensors

Package: ws-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Terminal-based sensor monitoring tool
 This package provides a terminal-based interface for monitoring
 sensor data with real-time graphing capabilities. It discovers
 sensor-* executables in PATH and displays their output with
 interactive graphs showing value changes over time.
 .
 Features include:
  - Automatic sensor discovery
  - Real-time data updates
  - Interactive color graphs
  - Multi-sensor support
  - JSON data parsing

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ws-sensors PREFIX=/usr

override_dh_auto_clean:
	$(MAKE) clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym
